#!/bin/bash 
ipollutant=$1
d1=$2
d2=$3
infile=$4
outfile=$5
criteria=$6
experiment=$7	
indir=$8

case $ipollutant in 
    'O3') ipolcode=1 ;; 
    'NO2')ipolcode=2 ;; 
    'PM10') ipolcode=24 ;;
esac


rm -f $outfile
while read -r istat ; do
    if [ -f $indir/${istat}_obs_${ipolcode}.csv ] ; then	
	nlines=`wc -l $indir/${istat}_obs_${ipolcode}.csv | awk '{print $1}'`
	if [ $nlines -ne 0 ] ; then
	    echo $istat >> $outfile	   
	fi
    fi
done < $infile
